package com.huimv.video.video.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.Result;
import com.huimv.video.video.entity.Camera;
import com.huimv.video.video.entity.vo.CameraListVo;
import com.huimv.video.video.entity.vo.CameraListsVo;
import com.huimv.video.video.entity.vo.CameraVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-09-13
 */
public interface ICameraService extends IService<Camera> {

    Result listPage(CameraListVo cameraListVo);

    List getCameraDetails(CameraListsVo cameraListsVo);

    List getByAreaId(Integer areaId);

    Result updateStatus(Integer id);

    Result add(Camera camera);

    Result updates(Camera camera);

    CameraVo getCameraDetailsByRoomId(Integer roomId);

    Result initCamera(Integer farmId, Integer userId);

    Result listScreenCamera(Integer farmId);

    Result screenCamera(Integer farmId);

    List getCameraDetails2(CameraListsVo cameraListsVo);

    Result saveCamera(Integer farmId);
}
